local Sorcerer = foundation.createMod();

_SorcererPrefix = "SORCERER_V4"

if (foundation.getGameVersion == nil) or (version.cmp(foundation.getGameVersion(), "1.7") < 0) then
    Sorcerer:msgBox("Sorcerer: game version anterior to 1.7")
    return
end
_scriptFolder = "scripts1.9"
if (version.cmp(foundation.getGameVersion(), "1.8") < 0) then
    _scriptFolder = "scripts1.7"
elseif (version.cmp(foundation.getGameVersion(), "1.9") < 0) then
    _scriptFolder = "scripts1.8"
end
Sorcerer:msgBox("Sorcerer: game version" .. foundation.getGameVersion())

-- common functions
-- As the global functions are not transmit yet from dependencies, this file has to be duplicated in each mod
Sorcerer:dofile(_scriptFolder .. "/common.lua")

_NoSandbox = difficultyLevel(Sorcerer, "Sorcerer")

-- Apply building asset processor
Sorcerer:registerAssetProcessor("models/sorcerer.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
Sorcerer:registerAssetProcessor("models/sorcerer2.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
-- Particle system
Sorcerer:dofile(_scriptFolder .. "/particle_system.lua")
Sorcerer:dofile(_scriptFolder .. "/bat.lua")
-- Jobs
Sorcerer:dofile(_scriptFolder .. "/jobs.lua")
-- Buildings
Sorcerer:dofile(_scriptFolder .. "/monument.lua")
