local Sorcerer = ...

-- Register prefab nodes (currently only one core model)
Sorcerer:registerAssetId("models/sorcerer.fbx/Prefab/sorcerer/housePart", _SorcererPrefix .. "_HOUSE_PREFAB")

-- Register the sorcerer house part
Sorcerer:register({
	DataType = "BUILDING_PART",
	Id = _SorcererPrefix .. "_HOUSE_PART",
        Name = _SorcererPrefix .. "_HOUSE_NAME",
        Description = _SorcererPrefix .. "_HOUSE_DESC",
        BuildingZone = { ZoneEntryList = {
            { Polygon = polygon.createRectangle( {4, 4} ),
              Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } }
        }},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = _SorcererPrefix .. "_HOUSE_PREFAB"
	},
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = { -- List of RESOURCE_QUANTITY_PAIR
			{ Resource = "WOOD", Quantity = _NoSandbox*5 }
		}
	},
	AssetBuildingFunction = _SorcererPrefix .. "_HOUSE_FUNCTION"
})
Sorcerer:register({
		DataType = "BUILDING_FUNCTION_WORKPLACE",
                Id = _SorcererPrefix .. "_HOUSE_FUNCTION",
		WorkerCapacity = 1,
                RelatedJob = { Job = _SorcererPrefix, Behavior = "BEHAVIOR_WORK" }
})

-- Register flag assigner component on the collider's type to 'PLATFORM'
Sorcerer:configurePrefabFlagList("models/sorcerer.fbx/Prefab/sorcerer/housePart", { "PLATFORM" })

Sorcerer:registerAssetId("models/sorcerer.fbx/Prefab/sorcerer/housePart/step_0/SmokeEmitter", _SorcererPrefix .. "_SMOKE_EMITTER_PREFAB")
Sorcerer:registerAssetId("models/sorcerer.fbx/Prefab/sorcerer/housePart/step_0/BatEmitter", _SorcererPrefix .. "_SMOKE_2_EMITTER_PREFAB")

Sorcerer:registerPrefabComponent("models/sorcerer.fbx/Prefab/sorcerer/housePart", {
	DataType = "COMP_BUILDING_PART",
	FeedbackComponentListToActivate = {
                 { _SorcererPrefix .. "_SMOKE_EMITTER_PREFAB", "COMP_PARTICLE_EMITTER_TOGGLE" },
                 { _SorcererPrefix .. "_SMOKE_2_EMITTER_PREFAB", "COMP_PARTICLE_EMITTER_TOGGLE" }
	}
})

-- Register air vent particle system
Sorcerer:registerPrefabComponent("models/sorcerer.fbx/Prefab/sorcerer/housePart/step_0/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "PARTICLE_SYSTEM_BLACKSMITH_ROCK",
	IsPlaying = true,
	IsEmitting = false
})

Sorcerer:registerPrefabComponent("models/sorcerer.fbx/Prefab/sorcerer/housePart/step_0/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER_TOGGLE",
	Enabled = false
})

-- Register air vent particle system
Sorcerer:registerPrefabComponent("models/sorcerer.fbx/Prefab/sorcerer/housePart/step_0/BatEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = _SorcererPrefix .. "_SMOKE_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = false
})

Sorcerer:registerPrefabComponent("models/sorcerer.fbx/Prefab/sorcerer/housePart/step_0/BatEmitter", {
	DataType = "COMP_PARTICLE_EMITTER_TOGGLE",
	Enabled = false
})
