local Sorcerer = ...

Sorcerer:registerAssetId("models/Bat.png", _SorcererPrefix .. "_BAT2_TEXTURE")
Sorcerer:registerAssetId("models/BatBack.png", _SorcererPrefix .. "_BAT2_TEXTURE_BACK")

function registerBatParticuleSystem(_particuleSystemId, _rotationInitialValue)

Sorcerer:registerAsset({
	DataType = "MATERIAL",
	Id = _SorcererPrefix .. "_BAT2_MATERIAL" .. _particuleSystemId,
        AlbedoColor = COL_WHITE,
	AlbedoTexture = _SorcererPrefix .. "_BAT2_TEXTURE" .. _particuleSystemId
})

Sorcerer:registerAsset({
	DataType = "PARTICLE_SYSTEM",
	Id = _SorcererPrefix .. "_BAT2_PARTICLE_SYSTEM" .. _particuleSystemId,
	Material = _SorcererPrefix .. "_BAT2_MATERIAL" .. _particuleSystemId,
	BillboardBehavior = "XZ",
	Duration = 4,
	Looping = true,
	Delay = { 0, 0 },
	LifeTime = 12,
	StartSpeed = { 0.2, 0.33 },
	StartSize = { 20, 20 },
	StartRotation = { 0, 0 },
	StartColor = { 1, 1, 1, 1 },
	GravityModifier = 0,
	RateOverTime = 1,
	BurstList = {},
	Shape = {
		DataType = "PARTICLE_EMITTER_SHAPE_BOX",
		Size = { 0.002, 0.002, 0.002 },
                Rotation = { 0, 0, 0 },
                Position = { 0, 0, 0 }
	},
	ColorOverLifeTime = {
		DataType = "GRADIENT",
		ColorList = {
			{ T = 0, Color = { 0, 0, 0, 0} },
			{ T = 0.3, Color = { 0, 0, 0, 0} },
			{ T = 0.7, Color = { 0, 0, 0, 0} },
			{ T = 1, Color = { 0, 0, 0, 0 } }
		},
		AlphaList = {
			{ T = 0, Alpha = 0 },
			{ T = 0.3, Alpha = 255 },
			{ T = 0.7, Alpha = 255 },
			{ T = 1, Alpha = 0 }
		},
	},
	SizeOverLifetime = {
		{ T = 0, Value = 0.5 },
		{ T = 0.7, Value = 0.5 },
		{ T = 1, Value = 0.5 }
	},
	RotationOverLifetime = { _rotationInitialValue, 0 },
})
end

registerBatParticuleSystem("", 45)
registerBatParticuleSystem("_BACK", -45)
