local Sorcerer = ...

-- Register all building parts and their properties
Sorcerer:dofile(_scriptFolder .. "/sorcererHouse1.lua")
Sorcerer:dofile(_scriptFolder .. "/sorcererHouse2.lua")

-- register monument
Sorcerer:registerAsset({
    DataType = "BUILDING",
    Id = _SorcererPrefix .. "_MONUMENT",
    Name = _SorcererPrefix .. "_MONUMENT_NAME",
    Description = _SorcererPrefix .. "_MONUMENT_DESC",
    BuildingType = "MODS",
    AssetCoreBuildingPart = "BUILDING_PART_MONUMENT_POLE",
    AssetBuildingPartList = {
                            _SorcererPrefix .. "_HOUSE_PART",
                            _SorcererPrefix .. "2_ROOT_PART"
    },
    RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 }
    },
    IsEditable = true
})

Sorcerer:registerAsset({
    DataType = "EVENT",
    Id = _SorcererPrefix .. "_EVENT_START",
    DaysToFirst = 1,
    ConditionList = {
        {
            DataType = "GAME_CONDITION_BUILDING_BUILT",
            AssetBuilding = "BUILDING_VILLAGE_CENTER",
        },
    },
    ActionList = {
        {
            DataType = "GAME_ACTION_UNLOCK_BUILDING_LIST",
            BuildingProgressData = {
                AssetBuildingList = {
                    _SorcererPrefix .. "_MONUMENT",
                },
            },
        }
    }
})

Sorcerer:overrideAsset({
    Id = "DEFAULT_BALANCING",
    EventList = {
        Action = "APPEND",
        _SorcererPrefix .. "_EVENT_START",
    }
})